Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.sql
Class DisjunctionFragment

    java.lang.Object
      org.hibernate.sql.DisjunctionFragment

    public class DisjunctionFragment

extends Object

A disjunctive string of conditions

Constructor Summary
`DisjunctionFragment()`

Method Summary
`DisjunctionFragment` | `addCondition(ConditionFragment fragment)`
`String` | `toFragmentString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DisjunctionFragment

    public DisjunctionFragment()

Method Detail

### addCondition

    public DisjunctionFragment addCondition(ConditionFragment fragment)

### toFragmentString

    public String toFragmentString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.